> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/server-side/remote-control-api/projects.md).

# Projects

Manage projects

## Get projects of the account

> Return the list of the projects of the account

```json
{"openapi":"3.0.0","info":{"title":"Flagship - Remote Control API","version":"1.0"},"tags":[{"name":"Projects","description":"Manage projects"}],"servers":[{"url":"https://api.flagship.io/v1"}],"security":[{"token":[]}],"components":{"securitySchemes":{"token":{"type":"apiKey","description":"Prefix the token with 'Bearer ' to indicate it is a bearer token","name":"Authorization","in":"header"}},"parameters":{"account_id":{"name":"account_id","in":"path","description":"The ID of the account","required":true,"schema":{"type":"string"}},"_page":{"name":"_page","in":"query","description":"Index of the page","schema":{"type":"integer"}},"_max_per_page":{"name":"_max_per_page","in":"query","description":"Number of items per page","schema":{"type":"integer"}}},"schemas":{"ItemCollection":{"properties":{"current_item_count":{"description":"Returns the number of items in the current page","type":"integer","format":"int"},"current_page":{"description":"Returns the number of the current page","type":"integer","format":"int","default":0},"total_count":{"description":"Returns the number of total items","type":"integer","format":"int"},"items_per_page":{"title":"Items per page","description":"Returns the number of items per page","type":"integer","format":"int","default":10},"last_page":{"title":"Last page","description":"Returns the index of the page","type":"integer","format":"int"}},"type":"object"},"Project":{"required":["name"],"properties":{"id":{"description":"ID of the project","type":"string","readOnly":true},"name":{"description":"Name of the project","type":"string"}},"type":"object"}}},"paths":{"/accounts/{account_id}/projects":{"get":{"tags":["Projects"],"summary":"Get projects of the account","description":"Return the list of the projects of the account","operationId":"056fa0955173da757711663c5e0365ae","parameters":[{"$ref":"#/components/parameters/account_id"},{"$ref":"#/components/parameters/_page"},{"$ref":"#/components/parameters/_max_per_page"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ItemCollection"},{"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Project"}}},"type":"object"}]}}}},"404":{"description":"Not Found"}}}}}}
```

## Create a project

> Create a project

```json
{"openapi":"3.0.0","info":{"title":"Flagship - Remote Control API","version":"1.0"},"tags":[{"name":"Projects","description":"Manage projects"}],"servers":[{"url":"https://api.flagship.io/v1"}],"security":[{"token":[]}],"components":{"securitySchemes":{"token":{"type":"apiKey","description":"Prefix the token with 'Bearer ' to indicate it is a bearer token","name":"Authorization","in":"header"}},"parameters":{"account_id":{"name":"account_id","in":"path","description":"The ID of the account","required":true,"schema":{"type":"string"}}},"schemas":{"Project":{"required":["name"],"properties":{"id":{"description":"ID of the project","type":"string","readOnly":true},"name":{"description":"Name of the project","type":"string"}},"type":"object"}}},"paths":{"/accounts/{account_id}/projects":{"post":{"tags":["Projects"],"summary":"Create a project","description":"Create a project","operationId":"9c2fa3f5eeb6b5de749560ab7a799fda","parameters":[{"$ref":"#/components/parameters/account_id"}],"requestBody":{"description":"Informations of the project","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}}},"400":{"description":"Validation errors"}}}}}}
```

## Get one project

> Return one project by its id

```json
{"openapi":"3.0.0","info":{"title":"Flagship - Remote Control API","version":"1.0"},"tags":[{"name":"Projects","description":"Manage projects"}],"servers":[{"url":"https://api.flagship.io/v1"}],"security":[{"token":[]}],"components":{"securitySchemes":{"token":{"type":"apiKey","description":"Prefix the token with 'Bearer ' to indicate it is a bearer token","name":"Authorization","in":"header"}},"parameters":{"account_id":{"name":"account_id","in":"path","description":"The ID of the account","required":true,"schema":{"type":"string"}},"project_id":{"name":"project_id","in":"path","description":"The ID of the project","required":true,"schema":{"type":"string"}}},"schemas":{"Project":{"required":["name"],"properties":{"id":{"description":"ID of the project","type":"string","readOnly":true},"name":{"description":"Name of the project","type":"string"}},"type":"object"}}},"paths":{"/accounts/{account_id}/projects/{project_id}":{"get":{"tags":["Projects"],"summary":"Get one project","description":"Return one project by its id","operationId":"80bfd9b7a2cd0f116dd43fc4ed60dfd8","parameters":[{"$ref":"#/components/parameters/account_id"},{"$ref":"#/components/parameters/project_id"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}}},"404":{"description":"Not Found"}}}}}}
```

## Delete a project

> Delete a project by its id.

```json
{"openapi":"3.0.0","info":{"title":"Flagship - Remote Control API","version":"1.0"},"tags":[{"name":"Projects","description":"Manage projects"}],"servers":[{"url":"https://api.flagship.io/v1"}],"security":[{"token":[]}],"components":{"securitySchemes":{"token":{"type":"apiKey","description":"Prefix the token with 'Bearer ' to indicate it is a bearer token","name":"Authorization","in":"header"}},"parameters":{"account_id":{"name":"account_id","in":"path","description":"The ID of the account","required":true,"schema":{"type":"string"}},"project_id":{"name":"project_id","in":"path","description":"The ID of the project","required":true,"schema":{"type":"string"}}}},"paths":{"/accounts/{account_id}/projects/{project_id}":{"delete":{"tags":["Projects"],"summary":"Delete a project","description":"Delete a project by its id.","operationId":"934311b13024cb0dd7eebfaf948a2d70","parameters":[{"$ref":"#/components/parameters/account_id"},{"$ref":"#/components/parameters/project_id"}],"responses":{"204":{"description":"Deleted"},"404":{"description":"Not Found"}}}}}}
```

## Update a project

> Update project informations - You can set only the properies you want to update in the request body.

```json
{"openapi":"3.0.0","info":{"title":"Flagship - Remote Control API","version":"1.0"},"tags":[{"name":"Projects","description":"Manage projects"}],"servers":[{"url":"https://api.flagship.io/v1"}],"security":[{"token":[]}],"components":{"securitySchemes":{"token":{"type":"apiKey","description":"Prefix the token with 'Bearer ' to indicate it is a bearer token","name":"Authorization","in":"header"}},"parameters":{"account_id":{"name":"account_id","in":"path","description":"The ID of the account","required":true,"schema":{"type":"string"}},"project_id":{"name":"project_id","in":"path","description":"The ID of the project","required":true,"schema":{"type":"string"}}},"schemas":{"Project":{"required":["name"],"properties":{"id":{"description":"ID of the project","type":"string","readOnly":true},"name":{"description":"Name of the project","type":"string"}},"type":"object"}}},"paths":{"/accounts/{account_id}/projects/{project_id}":{"patch":{"tags":["Projects"],"summary":"Update a project","description":"Update project informations - You can set only the properies you want to update in the request body.","operationId":"d0e24fcfb70fc12f1385915850f2029e","parameters":[{"$ref":"#/components/parameters/account_id"},{"$ref":"#/components/parameters/project_id"}],"requestBody":{"description":"Informations of the project","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}}},"responses":{"200":{"description":"Updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}}},"400":{"description":"Validation errors"}}}}}}
```

## Toggle a project state

> Switch the state of the project to active/inactive.

```json
{"openapi":"3.0.0","info":{"title":"Flagship - Remote Control API","version":"1.0"},"tags":[{"name":"Projects","description":"Manage projects"}],"servers":[{"url":"https://api.flagship.io/v1"}],"security":[{"token":[]}],"components":{"securitySchemes":{"token":{"type":"apiKey","description":"Prefix the token with 'Bearer ' to indicate it is a bearer token","name":"Authorization","in":"header"}},"parameters":{"account_id":{"name":"account_id","in":"path","description":"The ID of the account","required":true,"schema":{"type":"string"}},"project_id":{"name":"project_id","in":"path","description":"The ID of the project","required":true,"schema":{"type":"string"}}},"schemas":{"Toggler":{"required":["state"],"properties":{"state":{"description":"State of the toggler","type":"string","enum":["draft","active","paused","interrupted","hold","deleted"]}},"type":"object"}}},"paths":{"/accounts/{account_id}/projects/{project_id}/toggle":{"patch":{"tags":["Projects"],"summary":"Toggle a project state","description":"Switch the state of the project to active/inactive.","operationId":"239988fe629da89b52a9fa7ffdd4d3a8","parameters":[{"$ref":"#/components/parameters/account_id"},{"$ref":"#/components/parameters/project_id"}],"requestBody":{"description":"Informations of the state","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Toggler"}}}},"responses":{"200":{"description":"Updated"},"404":{"description":"Not Found"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.abtasty.com/server-side/remote-control-api/projects.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
